import { BinaryFile } from 'itk-wasm';
import BmpReadImageOptions from './bmp-read-image-options.js';
import BmpReadImageResult from './bmp-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {BmpReadImageOptions} options - options object
 *
 * @returns {Promise<BmpReadImageResult>} - result object
 */
declare function bmpReadImage(webWorker: null | Worker | boolean, serializedImage: File | BinaryFile, options?: BmpReadImageOptions): Promise<BmpReadImageResult>;
export default bmpReadImage;
