import { Image } from 'itk-wasm';
import BmpWriteImageOptions from './bmp-write-image-options.js';
import BmpWriteImageResult from './bmp-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {BmpWriteImageOptions} options - options object
 *
 * @returns {Promise<BmpWriteImageResult>} - result object
 */
declare function bmpWriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: BmpWriteImageOptions): Promise<BmpWriteImageResult>;
export default bmpWriteImage;
