import GdcmReadImageOptions from './gdcm-read-image-options.js';
import GdcmReadImageNodeResult from './gdcm-read-image-node-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {GdcmReadImageOptions} options - options object
 *
 * @returns {Promise<GdcmReadImageNodeResult>} - result object
 */
declare function gdcmReadImageNode(serializedImage: string, options?: GdcmReadImageOptions): Promise<GdcmReadImageNodeResult>;
export default gdcmReadImageNode;
