import { BinaryFile } from 'itk-wasm';
import GdcmReadImageOptions from './gdcm-read-image-options.js';
import GdcmReadImageResult from './gdcm-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {GdcmReadImageOptions} options - options object
 *
 * @returns {Promise<GdcmReadImageResult>} - result object
 */
declare function gdcmReadImage(webWorker: null | Worker | boolean, serializedImage: File | BinaryFile, options?: GdcmReadImageOptions): Promise<GdcmReadImageResult>;
export default gdcmReadImage;
