import { Image } from 'itk-wasm';
import GdcmWriteImageOptions from './gdcm-write-image-options.js';
import GdcmWriteImageNodeResult from './gdcm-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {GdcmWriteImageOptions} options - options object
 *
 * @returns {Promise<GdcmWriteImageNodeResult>} - result object
 */
declare function gdcmWriteImageNode(image: Image, serializedImage: string, options?: GdcmWriteImageOptions): Promise<GdcmWriteImageNodeResult>;
export default gdcmWriteImageNode;
