import { BinaryFile } from 'itk-wasm';
import GeAdwReadImageOptions from './ge-adw-read-image-options.js';
import GeAdwReadImageResult from './ge-adw-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {GeAdwReadImageOptions} options - options object
 *
 * @returns {Promise<GeAdwReadImageResult>} - result object
 */
declare function geAdwReadImage(webWorker: null | Worker | boolean, serializedImage: File | BinaryFile, options?: GeAdwReadImageOptions): Promise<GeAdwReadImageResult>;
export default geAdwReadImage;
