import { Image } from 'itk-wasm';
import GeAdwWriteImageOptions from './ge-adw-write-image-options.js';
import GeAdwWriteImageNodeResult from './ge-adw-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {GeAdwWriteImageOptions} options - options object
 *
 * @returns {Promise<GeAdwWriteImageNodeResult>} - result object
 */
declare function geAdwWriteImageNode(image: Image, serializedImage: string, options?: GeAdwWriteImageOptions): Promise<GeAdwWriteImageNodeResult>;
export default geAdwWriteImageNode;
