import { Image } from 'itk-wasm';
import Ge4WriteImageOptions from './ge4-write-image-options.js';
import Ge4WriteImageResult from './ge4-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {Ge4WriteImageOptions} options - options object
 *
 * @returns {Promise<Ge4WriteImageResult>} - result object
 */
declare function ge4WriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: Ge4WriteImageOptions): Promise<Ge4WriteImageResult>;
export default ge4WriteImage;
