import { Image } from 'itk-wasm';
import GiplWriteImageOptions from './gipl-write-image-options.js';
import GiplWriteImageResult from './gipl-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {GiplWriteImageOptions} options - options object
 *
 * @returns {Promise<GiplWriteImageResult>} - result object
 */
declare function giplWriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: GiplWriteImageOptions): Promise<GiplWriteImageResult>;
export default giplWriteImage;
