import Hdf5ReadImageOptions from './hdf5-read-image-options.js';
import Hdf5ReadImageNodeResult from './hdf5-read-image-node-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {Hdf5ReadImageOptions} options - options object
 *
 * @returns {Promise<Hdf5ReadImageNodeResult>} - result object
 */
declare function hdf5ReadImageNode(serializedImage: string, options?: Hdf5ReadImageOptions): Promise<Hdf5ReadImageNodeResult>;
export default hdf5ReadImageNode;
