import { BinaryFile } from 'itk-wasm';
import Hdf5ReadImageOptions from './hdf5-read-image-options.js';
import Hdf5ReadImageResult from './hdf5-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {Hdf5ReadImageOptions} options - options object
 *
 * @returns {Promise<Hdf5ReadImageResult>} - result object
 */
declare function hdf5ReadImage(webWorker: null | Worker | boolean, serializedImage: File | BinaryFile, options?: Hdf5ReadImageOptions): Promise<Hdf5ReadImageResult>;
export default hdf5ReadImage;
