import { Image } from 'itk-wasm';
import JpegWriteImageOptions from './jpeg-write-image-options.js';
import JpegWriteImageNodeResult from './jpeg-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {JpegWriteImageOptions} options - options object
 *
 * @returns {Promise<JpegWriteImageNodeResult>} - result object
 */
declare function jpegWriteImageNode(image: Image, serializedImage: string, options?: JpegWriteImageOptions): Promise<JpegWriteImageNodeResult>;
export default jpegWriteImageNode;
