import { Image } from 'itk-wasm';
import LsmWriteImageOptions from './lsm-write-image-options.js';
import LsmWriteImageNodeResult from './lsm-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {LsmWriteImageOptions} options - options object
 *
 * @returns {Promise<LsmWriteImageNodeResult>} - result object
 */
declare function lsmWriteImageNode(image: Image, serializedImage: string, options?: LsmWriteImageOptions): Promise<LsmWriteImageNodeResult>;
export default lsmWriteImageNode;
