import { BinaryFile } from 'itk-wasm';
import MetaReadImageOptions from './meta-read-image-options.js';
import MetaReadImageResult from './meta-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {MetaReadImageOptions} options - options object
 *
 * @returns {Promise<MetaReadImageResult>} - result object
 */
declare function metaReadImage(webWorker: null | Worker | boolean, serializedImage: File | BinaryFile, options?: MetaReadImageOptions): Promise<MetaReadImageResult>;
export default metaReadImage;
