import { Image } from 'itk-wasm';
import MghWriteImageOptions from './mgh-write-image-options.js';
import MghWriteImageNodeResult from './mgh-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {MghWriteImageOptions} options - options object
 *
 * @returns {Promise<MghWriteImageNodeResult>} - result object
 */
declare function mghWriteImageNode(image: Image, serializedImage: string, options?: MghWriteImageOptions): Promise<MghWriteImageNodeResult>;
export default mghWriteImageNode;
