import { BinaryFile } from 'itk-wasm';
import MincReadImageOptions from './minc-read-image-options.js';
import MincReadImageResult from './minc-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {MincReadImageOptions} options - options object
 *
 * @returns {Promise<MincReadImageResult>} - result object
 */
declare function mincReadImage(webWorker: null | Worker | boolean, serializedImage: File | BinaryFile, options?: MincReadImageOptions): Promise<MincReadImageResult>;
export default mincReadImage;
