import { Image } from 'itk-wasm';
import MincWriteImageOptions from './minc-write-image-options.js';
import MincWriteImageNodeResult from './minc-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {MincWriteImageOptions} options - options object
 *
 * @returns {Promise<MincWriteImageNodeResult>} - result object
 */
declare function mincWriteImageNode(image: Image, serializedImage: string, options?: MincWriteImageOptions): Promise<MincWriteImageNodeResult>;
export default mincWriteImageNode;
