import MrcReadImageOptions from './mrc-read-image-options.js';
import MrcReadImageNodeResult from './mrc-read-image-node-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {MrcReadImageOptions} options - options object
 *
 * @returns {Promise<MrcReadImageNodeResult>} - result object
 */
declare function mrcReadImageNode(serializedImage: string, options?: MrcReadImageOptions): Promise<MrcReadImageNodeResult>;
export default mrcReadImageNode;
