import { BinaryFile } from 'itk-wasm';
import MrcReadImageOptions from './mrc-read-image-options.js';
import MrcReadImageResult from './mrc-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {MrcReadImageOptions} options - options object
 *
 * @returns {Promise<MrcReadImageResult>} - result object
 */
declare function mrcReadImage(webWorker: null | Worker | boolean, serializedImage: File | BinaryFile, options?: MrcReadImageOptions): Promise<MrcReadImageResult>;
export default mrcReadImage;
