import { Image } from 'itk-wasm';
import MrcWriteImageOptions from './mrc-write-image-options.js';
import MrcWriteImageNodeResult from './mrc-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {MrcWriteImageOptions} options - options object
 *
 * @returns {Promise<MrcWriteImageNodeResult>} - result object
 */
declare function mrcWriteImageNode(image: Image, serializedImage: string, options?: MrcWriteImageOptions): Promise<MrcWriteImageNodeResult>;
export default mrcWriteImageNode;
