import NiftiReadImageOptions from './nifti-read-image-options.js';
import NiftiReadImageNodeResult from './nifti-read-image-node-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {NiftiReadImageOptions} options - options object
 *
 * @returns {Promise<NiftiReadImageNodeResult>} - result object
 */
declare function niftiReadImageNode(serializedImage: string, options?: NiftiReadImageOptions): Promise<NiftiReadImageNodeResult>;
export default niftiReadImageNode;
