import { Image } from 'itk-wasm';
import PngWriteImageOptions from './png-write-image-options.js';
import PngWriteImageNodeResult from './png-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {PngWriteImageOptions} options - options object
 *
 * @returns {Promise<PngWriteImageNodeResult>} - result object
 */
declare function pngWriteImageNode(image: Image, serializedImage: string, options?: PngWriteImageOptions): Promise<PngWriteImageNodeResult>;
export default pngWriteImageNode;
