import { Image } from 'itk-wasm';
import ScancoWriteImageOptions from './scanco-write-image-options.js';
import ScancoWriteImageNodeResult from './scanco-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {ScancoWriteImageOptions} options - options object
 *
 * @returns {Promise<ScancoWriteImageNodeResult>} - result object
 */
declare function scancoWriteImageNode(image: Image, serializedImage: string, options?: ScancoWriteImageOptions): Promise<ScancoWriteImageNodeResult>;
export default scancoWriteImageNode;
