import { BinaryFile } from 'itk-wasm';
import TiffReadImageOptions from './tiff-read-image-options.js';
import TiffReadImageResult from './tiff-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {TiffReadImageOptions} options - options object
 *
 * @returns {Promise<TiffReadImageResult>} - result object
 */
declare function tiffReadImage(webWorker: null | Worker | boolean, serializedImage: File | BinaryFile, options?: TiffReadImageOptions): Promise<TiffReadImageResult>;
export default tiffReadImage;
