import VtkReadImageOptions from './vtk-read-image-options.js';
import VtkReadImageNodeResult from './vtk-read-image-node-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {VtkReadImageOptions} options - options object
 *
 * @returns {Promise<VtkReadImageNodeResult>} - result object
 */
declare function vtkReadImageNode(serializedImage: string, options?: VtkReadImageOptions): Promise<VtkReadImageNodeResult>;
export default vtkReadImageNode;
