import { Image } from 'itk-wasm';
import VtkWriteImageOptions from './vtk-write-image-options.js';
import VtkWriteImageNodeResult from './vtk-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {VtkWriteImageOptions} options - options object
 *
 * @returns {Promise<VtkWriteImageNodeResult>} - result object
 */
declare function vtkWriteImageNode(image: Image, serializedImage: string, options?: VtkWriteImageOptions): Promise<VtkWriteImageNodeResult>;
export default vtkWriteImageNode;
